# Interface HardLink

#### Hierarchy

- SimpleLink
- BaseLink
  - HardLink

- Defined in fs/types.ts:87

#####
Index

### Properties

cid
isFile
name
size

## Properties

### cid

cid: string | CID<unknown, number, number, Version>

Inherited from SimpleLink.cid

- Defined in fs/types.ts:71

### isFile

isFile: boolean

Inherited from BaseLink.isFile

- Defined in fs/types.ts:77

### name

name: string

Inherited from BaseLink.name

- Defined in fs/types.ts:69

### size

size: number

Inherited from BaseLink.size

- Defined in fs/types.ts:70

Generated using TypeDoc